• 8
name

A PHP Error was encountered

Severity: Notice

Message: Undefined index: userid

Filename: views/question.php

Line Number: 191

Backtrace:

File: /home/prodcxja/public_html/questions/application/views/question.php
Line: 191
Function: _error_handler

File: /home/prodcxja/public_html/questions/application/controllers/Questions.php
Line: 433
Function: view

File: /home/prodcxja/public_html/questions/index.php
Line: 315
Function: require_once

I have an app which uses (or used...) Place Picker. As you may know it is deprecated since January 29th, 2019. I deleted my old "Places SDK for Android" API in Google Cloud plarform some time ago. Today I wanted to create new one but now I see that it is no more available there, only "Places API" is available.

On migration tutorial you can see this information:

IMPORTANT: The Place Picker is deprecated as of January 29, 2019. This feature will be turned off on July 29, 2019, and will no longer be available after that date. To continue using the Place Picker through the deprecation period, do NOT disable the Places SDK for Android service in your Google Cloud Platform project, as doing so will also disable the Place Picker.

Does it mean that if I disabled my Places SDK for Android which was created before 29.01.2019 I can no longer use Place Picker through the deprecation period with compatibility libraries? Even if I will enable "Places API" instead of "Places SDK for Android"?

If yes, can you recommend any service/library similar to place picker?

With regards to your concern, Yes, you will not be able to use the Place Picker once you disable the Places SDK for Android and you will be forced to migrate to the new SDK since the Places SDK for Android will be removed in your library once disabled. Currently, Google Maps doesn't have a library that offers the same functionality as the Place Picker, however, you may fill up the form in issue tracker for Google to understand what drives your interest in having a Place Picker widget.

  • 1
Reply Report